
 LinHES - Bug # 561: suggestion: alternative config for hauppauge-grey (file included)

Status: Closed Priority: Normal
Author: graysky Category:
Created: 11/02/2009 Assignee: jams
Updated: 03/27/2010 Due date:
Description: I used the current config for this remote and it was very different from my R5.5 config.  I include the 

~/.mythtv/lircrc that I was using under R5.5 for your consideration.  I think it's better :)

<code>
# lircrc.example.HauppaugeGrey-nativelirc
# 2003-09-17, Robert Kulagowski
# mailto:rkulagow@rocketmail.com
# Save this file in ~/.mythtv/lircrc

begin
    prog = mythtv
    button = Power
    config = Esc
end

begin
    prog = mythtv
    button = Go
# Swap the PiP windows
    config = N
end

begin
    prog = mythtv
    button = 1
    config = 1
end

begin
    prog = mythtv
    button = 2
    config = 2
end

begin
    prog = mythtv
    button = 3
    config = 3
end

begin
    prog = mythtv
    button = 4
    config = 4
end

begin
    prog = mythtv
    button = 5
    config = 5
end

begin
    prog = mythtv
    button = 6
    config = 6
end

begin
    prog = mythtv
    button = 7
    config = 7
end

begin
    prog = mythtv
    button = 8
    config = 8
end

begin
    prog = mythtv
    button = 9
    config = 9
end

begin
    prog = mythtv
    button = Back/Exit
    config = Esc
end

begin
    prog = mythtv
    button = 0
    config = 0
end

begin
    prog = mythtv
    button = Menu
    config = M
end

# Below are keys used with the Hauppauge Grey remote

begin
   prog = mplayer
# This is the Red key
   button = Red
   config = Space
end

begin
   prog = mythtv
# This is the Green key
# We'll use it for "Information"
   button = Green
   config = I
end

# Note the "repeat = " strings in the volume and channel.
# This means that if you hold down the key, every nth instance will be
# passed.  This depends on your system, so you may want to increase or
# decrease this and see what happens.  repeat = 1 is probably too
# fast.

begin
  prog = mythtv
# This is the Yellow key
# Use it as a volume key
  button = Yellow
  repeat = 3
  config = F10
end

begin
  prog = mythtv
# This is the Blue key
# Use it as a volume key
  button = Blue
  repeat = 3
  config = F11
end

begin
    prog = mythtv
    button = Ch+
# This is the "up" on the central diamond
    repeat = 3
    config = Up
end

begin
    prog = mythtv
    button = Ch-
# This is the "down" on the central diamond
    repeat = 3
    config = Down
end

begin
    prog = mythtv
    button = Vol-
# This is the "left" on the central diamond
    repeat = 3
    config = Left
end

begin
    prog = mythtv
    button = Vol+
# This is the "right" on the central diamond
    repeat = 3
    config = Right
end

begin
    prog = mythtv
# Middle button on the diamond
    button = Ok
    config = Return
end

begin
    prog = mythtv
    button = Mute
    config = F9
end

begin
   prog = mythtv
# Change focus for PiP (to change channel in the other window)
   button = Blank
   config = B
end

begin
   prog = mythtv
# Toggle PiP on/off
   button = Full
   config = V
end

begin
    prog = mythtv
    button = Rewind
    config = Left
end

begin
    prog = mythtv
    button = Play
    config = P
end
begin
    prog = mythtv
    button = Forward
    config = Right
end

begin
  prog = mythtv
  button = Record
  config = R
end

begin
   prog = mythtv
# Teletext
   button = Stop
   config = T
end

begin
    prog = mythtv
    button = Pause
    config = P
end

begin
   prog = mythtv
   button = Replay
# Use for backwards commercial skip
    config = Q
end

begin
   prog = mythtv
   button = Skip
# Use for forward commercial skip
    config = Z
end

#MPlayer
begin
   prog = mplayer
   button = Power
   config = quit
end

begin
   prog = mplayer
   button = Menu
   config = osd
end

begin
   prog = mplayer
   button = Rewind
   config = seek -10
   repeat = 1
end

begin
   prog = mplayer
   button = Forward
   config = seek +10
   repeat = 1
end

begin
   prog = mplayer
   button = Replay
   config = seek -60
   repeat = 1
end

begin
   prog = mplayer
   button = Skip
   config = seek +60
   repeat = 1
end

begin
    prog = mplayer
    button = Pause
    config = pause
end

begin
    prog = mplayer
    button = Play
    config = pause
end

begin
   prog = mplayer
   button = Back/Exit
   config = quit
end

begin
   prog = mplayer
   button = Vol+
   config = volume +1
   repeat = 1
end

begin
   prog = mplayer
   button = Vol-
   config = volume -1
   repeat = 1
end

begin
   prog = mplayer
   button = Mute
   config = mute
end
##XINE

 begin
 prog = xine
 button = Play
 repeat = 3
 config = Play
 end

 begin
 prog = xine
 button = Stop
 repeat = 3
 config = Stop
 end

 begin
 prog = xine
 button = Back/Exit
 config = Quit
 end

 begin
 prog = xine
 button = Pause
 repeat = 3
 config = Pause
 end

 begin
 prog = xine
 button = Ch+
 repeat = 4
 config = EventUp
 end

 begin
 prog = xine
 button = Ch-
 repeat = 4
 config = EventDown
 end
 begin
 prog = xine
 button = Vol-
 repeat = 4
 config = EventLeft
 end

 begin
 prog = xine
 button = Vol+
 repeat = 4
 config = EventRight
 end

 begin
 prog = xine
 button = Ok
 repeat = 0
 config = EventSelect
 end

 begin
 prog = xine
 button = Menu
 repeat = 0
 config = Menu
 end

 #vol down
 begin
 prog = xine
 button = Yellow
 repeat = 1
 config = Volume-
 end

 #vol up
 begin
 prog = xine
 button = Red
 repeat = 1
 config = Volume+
 end

 begin
 prog = xine
 button = Forward
 repeat = 2
 config = SeekRelative+30
 end

 begin
 prog = xine
 button = Rewind
 repeat = 2
 config = SeekRelative-30
 end

 #ch up
 begin
 prog = xine
 button = Green
 repeat = 1
 config = SeekRelative+60
 end

 #ch down
 begin
 prog = xine
 button = Blue
 repeat = 1
 config = SeekRelative-60
 end

 #sleep
 begin
 prog = xine
 button = Go
 repeat = 1
 config = ZoomIn
 end

 #display
 begin
 prog = xine
 button = Skip
 repeat = 1
 config = ZoomOut
 end

 #skip chapter forward
 begin
 prog = xine
 button = Skip
 repeat = 1
 config = EventNext
 end

 #skip chapter backward
 begin
 prog = xine
 button = Replay
 repeat = 1
 config = EventPrior
 end
 begin
 prog = lircnav
 button = Vol-
 config = page_down
 end

 begin
 prog = lircnav
 button = Vol+
 config = page_up
 end

 begin
 prog = lircnav
 button = Ch+
 config = up
 end

 begin
 prog = lircnav
 button = Ch-
 config = down
 end

 begin
 prog = lircnav
 button = Ok
 config = select
 end

 begin
 prog = lircnav
 button = Power
 config = quit
 end
</code>

Associated revisions
03/27/2010 09:38 am - jams
system-templates: added alt config for hauppauge-grey
untested, but graysky approved.

closes #561

History
03/21/2010 07:34 am - jams
- Assignee set to jams

please attach the file instead of pasting it.
03/21/2010 02:43 pm - jams
- Status changed from New to Feedback

03/21/2010 07:20 pm - jams
- Target version set to 6.03.00

03/26/2010 09:35 am - jams
- Status changed from Feedback to No user feedback

03/26/2010 11:59 am - graysky
- File lircrc added

Sorry, attached.

03/26/2010 08:52 pm - jams
- Status changed from No user feedback to In Progress

03/27/2010 08:47 am - jams
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:"706af256e8f326c27dc3d9d565029f283e669b71".

Files
lircrc 6.3 kB 03/26/2010 graysky
